<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_TransferRequiredFields StructType
 * @subpackage Structs
 */
class JP_TransferRequiredFields extends AbstractStructBase
{
    /**
     * The TransferBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferBooking
     */
    public $TransferBooking;
    /**
     * Constructor method for JP_TransferRequiredFields
     * @uses JP_TransferRequiredFields::setTransferBooking()
     * @param \StructType\JP_TransferBooking $transferBooking
     */
    public function __construct(\StructType\JP_TransferBooking $transferBooking = null)
    {
        $this
            ->setTransferBooking($transferBooking);
    }
    /**
     * Get TransferBooking value
     * @return \StructType\JP_TransferBooking|null
     */
    public function getTransferBooking()
    {
        return $this->TransferBooking;
    }
    /**
     * Set TransferBooking value
     * @param \StructType\JP_TransferBooking $transferBooking
     * @return \StructType\JP_TransferRequiredFields
     */
    public function setTransferBooking(\StructType\JP_TransferBooking $transferBooking = null)
    {
        $this->TransferBooking = $transferBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_TransferRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
